---
layout: mockup
title: "Calendar"
theme: Adwaita/Adwaita.css
permalink: calendar/
wallpaper: adwaita
---
<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/calendar.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window large">
	<!-- Titlebar -->
	<div class="titlebar paned hide-on-mobile" id="calendarHeaderbar" title="Calendar">
		<div class="button-group pane float-left">
			<a class="button image-button calendarsPopover"><div class="calendarIcon" style="margin:4px;">{%- include symbolic/apps/office-calendar-symbolic.svg -%}</div><div class="icon s16 spinner calendarsSynchronizing">{%- include symbolic/status/process-working-symbolic.svg -%}</div></a>
			<a class="button image-button float-right calendarMenu">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>
		</div>
		<a class="button image-button float-left" id="addEvent" onclick="$('#newEventDialog').show();">{%- include symbolic/actions/list-add-symbolic.svg -%}</a>
		<div class="view-switcher" id="calendarViewSwitcherTop">
			<a class="active" onclick="calendarShowWeekView();$(this).addClass('active');"><div class="icon s16">{%- include symbolic/apps/office-calendar-symbolic.svg -%}</div><span><b>Week</b></span></a><a class="" onclick="calendarShowMonthView();$(this).addClass('active');"><div class="icon s16">{%- include symbolic/apps/org.gnome.Calendar-symbolic.svg -%}</div><span>Month</span></a>
		</div>
		<div class="button-group float-right">
			<!-- <a class="button text-button">Today</a> -->
			<a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Mobile Titlebar -->
	<div class="titlebar grouped show-on-mobile" id="calendarHeaderbarMobile" title="Calendar">
		<div class="button-group float-left">
			<a class="button image-button calendarsPopover"><div class="calendarIcon" style="margin:4px;">{%- include symbolic/apps/office-calendar-symbolic.svg -%}</div><div class="icon s16 spinner calendarsSynchronizing">{%- include symbolic/status/process-working-symbolic.svg -%}</div></a><a class="button image-button" id="addEvent" onclick="$('#newEventDialog').show();">{%- include symbolic/actions/list-add-symbolic.svg -%}</a>
			<!-- <a class="button text-button float-left">Today</a> -->
		</div>
		<div class="button-group float-right">
			<a class="button image-button">{%- include symbolic/actions/edit-find-symbolic.svg -%}</a>{%- include components/close-button.html close = "window" -%}
			<a class="button image-button calendarMenu">{%- include symbolic/actions/open-menu-symbolic.svg -%}</a>
		</div>
	</div>
	<!-- window content -->
	<div class="content">
		<!-- Sidebar -->
		<div class="sidebar full-width" id="calendarSidebar">
			<!-- Mini Month -->
			<div id="calendarMiniMonth" class="calendarMini hidden">
				<div id="calendarMiniMonthNav" class="toolbar unstyled">
					<a class="button undecorated image-button  float-left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
					<span class="bold-label float-center" style="padding: 0 6px;">September 2019</span>
					<a class="button undecorated image-button float-right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
				</div>
				<ul class="weekdays">
					<li class="small-label">Sun</li><li class="small-label">Mon</li><li class="small-label">Tue</li><li class="small-label">Wed</li><li class="small-label">Thu</li><li class="small-label">Fri</li><li class="small-label">Sat</li>
				</ul>
				{%- include components/calendar-mini-month.html -%}
			</div>
			<!-- Mini Week -->
			<div id="calendarMiniWeek" class="calendarMini show-on-mobile">
				<div id="calendarMiniWeekNav" class="toolbar unstyled">
					<a class="button undecorated image-button  float-left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
					<span class="bold-label float-center" style="padding: 0 6px;">Week 36</span>
					<a class="button undecorated image-button float-right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
				</div>

				<ul class="weekdays">
					<li class="small-label">Sun</li><li class="small-label">Mon</li><li class="small-label">Tue</li><li class="small-label">Wed</li><li class="small-label">Thu</li><li class="small-label">Fri</li><li class="small-label">Sat</li>
				</ul>
				{%- include components/calendar-mini-week.html -%}
				<!-- <ul>
					<li>Sun<span>1</span></li><li>Mo<span>2</span></li><li class="active">Tu<span>3</span></li><li>We<span>4</span></li><li>Th<span>5</span></li><li>Fr<span>6</span></li><li>Sa<span>7</span></li>
				</ul> -->
			</div>
			<!-- upcoming events -->
			<!-- <h4>Upcoming</h4> -->
			<ul id="calendarEvents">
				<li class="calendarDateHeading small-label uppercase-label" style="border:none;">Today <span class="float-right">3/9/2019</span></li>
				<li class="dim-label done-label">
					<label><span class="calendarIndicator red">&#x2b24;&nbsp;</span>Design Team Meeting</label>
					<label class="calendarTimeRange small-label">10:00 AM &ndash; 10:30 AM</label>
				</li>
				<small>10:43 AM</small>
				<hr>
				<li>
					<label><span class="calendarIndicator red">&#x2b24;&nbsp;</span>Application Team Meeting</label>
					<label class="calendarTimeRange small-label">11:00 AM &ndash; 12:00 PM</label>
				</li>
				<li>
					<label><span class="calendarIndicator blue">&#x2b24;&nbsp;</span>Go to the Gym</label>
					<label class="calendarTimeRange small-label">7:00 PM &ndash; 8:00 PM</label>
				</li>
				<li class="calendarDateHeading small-label uppercase-label uppercase-label">Tomorrow <span class="float-right">4/9/2019</span></li>
				<li>
					<label><span class="calendarIndicator green">&#x2b24;&nbsp;</span>Team Meeting</label>
					<label class="calendarTimeRange small-label">9:00 AM &ndash; 10:00 AM</label>
				</li>
				<li class="calendarDateHeading small-label uppercase-label">Thursday <span class="float-right">5/9/2019</span></li>
				<li>
					<label><span class="calendarIndicator orange">&#x2b24;&nbsp;</span>Team Meeting</label>
					<label class="calendarTimeRange small-label">9:00 AM</label>
				</li>
				<li class="calendarDateHeading small-label uppercase-label">Friday  <span class="float-right">6/9/2019</span></li></li>
				<li>
					<label><span class="calendarIndicator purple">&#x2b24;&nbsp;</span>Pick up Angela at Heathrow</label>
					<label class="calendarTimeRange small-label">1:00 PM</label>
				</li>
				<li>
					<label><span class="calendarIndicator purple">&#x2b24;&nbsp;</span>Dentist</label>
					<label class="calendarTimeRange small-label">2:30 PM</label>
				</li>
				<li>
					<label><span class="calendarIndicator blue">&#x2b24;&nbsp;</span>Go to the Gym</label>
					<label class="calendarTimeRange small-label">7:00 PM &ndash; 8:00 PM</label>
				</li>
				<li class="calendarDateHeading small-label uppercase-label">Monday <span class="float-right">9/9/2019</span></li></li>
				<li>
					<label><span class="calendarIndicator green">&#x2b24;&nbsp;</span>Team Meeting</label>
					<label class="calendarTimeRange small-label">9:00 AM</label>
				</li>
				<li class="calendarDateHeading small-label uppercase-label">Tuesday <span class="float-right">10/9/2019</span></li></li>
				<li>
					<label><span class="calendarIndicator red">&#x2b24;&nbsp;</span>Design Team Meeting</label>
					<label class="calendarTimeRange small-label">11:00 AM &ndash; 12:00 PM</label>
				</li>
				<li>
					<label><span class="calendarIndicator red">&#x2b24;&nbsp;</span>Application Team Meeting</label>
					<label class="calendarTimeRange small-label">11:00 AM &ndash; 12:00 PM</label>
				</li>
				<li>
					<label><span class="calendarIndicator blue">&#x2b24;&nbsp;</span>Go to the Gym</label>
					<label class="calendarTimeRange small-label">7:00 PM &ndash; 8:00 PM</label>
				</li>
			</ul>
		</div>
		<!-- Week View -->
		<div class="view no-scroll" id="calendarWeekView">
			<!-- toolbar -->
			<div class="toolbar top">
				<a class="button text-button float-left" style="margin-right:6px">Today</a><div class="linked float-left">
					<a class="button image-button left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a><a class="button image-button right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
				</div>
				<span class="float-left calendarWeekLabel"><b>week 36</b></span>
				<span class="float-right dim-label calendarYearLabel"><b>2019</b></span>
				<span class="float-right dim-label calendarMonthLabel"><b>September</b></span>
			</div>
			<!-- scrollbox -->
			<div class="scrollbox">
				{%- include components/calendar-week-view.html -%}
			</div>
		</div>
		<!-- Month View -->
		<div class="view no-scroll" id="calendarMonthView">
			<!-- toolbar -->
			<div class="toolbar top">
				<a class="button text-button float-left" style="margin-right:6px">Today</a><div class="linked float-left">
					<a class="button image-button left">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a><a class="button image-button right">{%- include symbolic/actions/go-next-symbolic.svg -%}</a>
				</div>
				<span class="float-left calendarMonthLabel"><b>September</b></span>
				<span class="float-right dim-label calendarYearLabel"><b>2019</b></span>
			</div>
			<!-- scrollbox -->
			<div class="scrollbox">
				<p style="padding: 24px;">[TODO: Month view goes here]</p>
			</div>
		</div>
	</div>
	<!-- bottom toolbar -->
	<div class="toolbar bottom text-center show-on-mobile">
		<div class="view-switcher" id="calendarViewSwitcherBottom">
			<a class="active" onclick="calendarShowMiniWeek();$(this).addClass('active');"><div class="icon s16">{%- include symbolic/apps/office-calendar-symbolic.svg -%}</div><span><b>Week</b></span></a><a onclick="calendarShowMiniMonth();$(this).addClass('active');"><div class="icon s16">{%- include symbolic/apps/org.gnome.Calendar-symbolic.svg -%}</div><span>Month</span></a>
		</div>
	</div>
	<!-- New Event Dialog -->
	<div class="gtkdialog" id="newEventDialog">
		<div class="gtkdialog-window action-dialog">
			<div class="titlebar grouped">
				<div class="button-group float-left"><a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a></div>
				<!-- Title -->
				<div class="title-group">
					<span class="title">Unnamed Event</span><span class="subtitle">Personal Calandar</span>
				</div>
				<div class="button-group float-right"><a class="button text-button suggested-action float-right" id="addEventDone" onclick="$('.gtkdialog').hide();">Add</a></div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li>
							<label>Event Title</label>
							<input class="entry float-right" placeholder="Unnamed Event"></input>
						</li>
						<li>
							<label>Location</label>
							<input class="entry float-right" placeholder="Location"></input>
						</li>
						<li>
							<label>All-day</label>
							{%- include components/switch.html float = "right" checked = "" -%}
						</li>
						<li id="addEventStarts">
							<label>Starts</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventStartStatus">05/09/2019</label>
						</li>
						<li id="addEventEnds">
							<label>Ends</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventEndStatus">05/09/2019</label>
						</li>
						<li id="addEventRepeats">
							<label>Repeat</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventRepeatStatus">No Repeat</label>
						</li>
						<li id="addEventReminder">
							<label>Reminder</label>
							<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
							<label class="float-right" id="addEventRepeatStatus">No Reminder</label>
						</li>
						<li id="">
							<label>Notes</label>
							<textarea class="float-right" placeholder="Notes (Imagine it actually fits in this list row)"></textarea>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<!-- New Calendar Dialog -->
	<div class="gtkdialog" id="newCalendarsDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped">
				<div class="button-group float-left"><a class="button text-button float-left" onclick="$('.gtkdialog').hide();">Cancel</a></div>
				<!-- Title -->
				<div class="title-group">
					<span class="title">New Calandar</span>
				</div>
				<div class="button-group float-right"><a class="button text-button float-right" id="addEventDone" onclick="$('.gtkdialog').hide();">Done</a></div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li>
							<label>Calendar Name</label>
							<input class="entry float-right" placeholder="Unnamed Calendar"></input>
						</li>
						<li>
							<label>Color</label>
							<a class="button text-button float-right">Green</a>
						</li>
					</ul>
					<br>
					<h3>Import a Calendar</h3>
					<p>Alternatively, enter the web address of an online calendar you want to import, or open a supported calendar file.</p>
					<p><input class="entry full-width float-left" placeholder="https://example.com/calendar.ics" style="max-width: 77%"></input><a class="button text-button float-right">Open...</a></p>
					<p><input type="checkbox" class="switch-input" onclick="$('#calendarAuthenticate').toggleClass('hidden');"> Requires Authentication</p>
					<ul id="calendarAuthenticate" class="listrow hidden">
						<li>
							<label>Username</label>
							<input class="entry float-right" placeholder="username" style="width:256px;"></input>
						</li>
						<li>
							<label>Password</label>
							<input class="entry float-right" placeholder="password" style="width:256px;"></input>
						</li>
					</ul>
					<p>If the calendar belongs to one of your online accounts, you can connect Calendar to your account in the <a href="">online account settings</a>.</p>
				</div>
			</div>
		</div>
	</div>
	<!-- New Event Dialog -->
	<div class="gtkdialog" id="manageCalendarsDialog">
		<div class="gtkdialog-window">
			<div class="titlebar grouped" title="Manage Calendars">
				<div class="button-group float-right">
					{%- include components/close-button.html close = "gtkdialog" -%}
				</div>
			</div>
			<div class="gtkdialog-content">
				<div class="row">
					<ul class="listrow">
						<li class="medium">
							<div class="avatar small"></div>
							<div class="label-group">
								<label>Birthdays & Anniveraries</label>
								<label class="small-label dim-label">Contacts</label>
							</div>
							{%- include components/switch.html float = "right" checked = "checked" -%}
						</li>
						<li class="medium">
							<div class="avatar small"></div>
							<div class="label-group">
								<label>Personal</label>
								<label class="small-label dim-label">On this Computer</label>
							</div>
							{%- include components/switch.html float = "right" checked = "checked" -%}
						</li>
						<li class="text-center" onclick="$('#newCalendarsDialog').show();$('#manageCalendarsDialog').hide();">,
							<label>Add Calendar...</label>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- js -->
<script type="text/javascript">

$('.calendarsSynchronizing').hide();
$('#calendarMonthView').hide();
// $('#calendarMiniWeek').hide();

// show month view
function calendarShowMonthView() {
	$('#calendarViewSwitcherTop > a').removeClass('active');
	$('#calendarWeekView').hide();
	$('#calendarMonthView').show();
}
// show week view
function calendarShowWeekView() {
	$('#calendarViewSwitcherTop > a').removeClass('active');
	$('#calendarWeekView').show();
	$('#calendarMonthView').hide();
}

// show mini week in mobile view
function calendarShowMiniWeek() {
	$('#calendarViewSwitcherBottom > a').removeClass('active');
	$('#calendarMiniWeek').show().addClass('show-on-mobile').removeClass('hidden');
	$('#calendarMiniMonth').hide().addClass('hidden').removeClass('show-on-mobile');
	$('#calendarEvents').css({'max-height':'calc(100% - 180px)'});
}
// show mini month in mobile view
function calendarShowMiniMonth() {
	$('#calendarViewSwitcherBottom > a').removeClass('active');
	$('#calendarMiniWeek').hide().removeClass('show-on-mobile').addClass('hidden');
	$('#calendarMiniMonth').show().addClass('show-on-mobile').removeClass('hidden');
	$('#calendarEvents').css({'max-height':'calc(100% - 320px - 32px)'});
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>Online Accounts...</li>',
		'<li>Weather</li>',
		'<hr>',
		'<li>Keyboard Shortcuts</li>',
		'<li>About Calendar</li>',
		'</ul>'].join('');

	$('.calendarMenu').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li>New Calendar...</li>',
		'<li>Import Online Calendar...</li>',
		'<li>Import Calendar from File...</li>',
		'</ul>'].join('');

	$('#addCalendarMenu').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li><span class="calendarIndicator red">&#x2b24;&nbsp;</span>Work <input type="checkbox" class="float-right" checked onclick="$(&apos;#calendarEvents > li > label > .red&apos;).parents(&apos;li&apos;).toggle();"></li>',
		'<li><span class="calendarIndicator green">&#x2b24;&nbsp;</span>Work (Shared) <input type="checkbox" class="float-right" checked onclick="$(&apos;#calendarEvents > li > label > .green&apos;).parents(&apos;li&apos;).toggle();"></li>',
		'<li><span class="calendarIndicator purple">&#x2b24;&nbsp;</span>Appointments <input type="checkbox" class="float-right" checked onclick="$(&apos;#calendarEvents > li > label > .purple&apos;).parents(&apos;li&apos;).toggle();"></li>',
		'<li><span class="calendarIndicator blue">&#x2b24;&nbsp;</span>Personal <input type="checkbox" class="float-right" checked onclick="$(&apos;#calendarEvents > li > label > .blue&apos;).parents(&apos;li&apos;).toggle();"></li>',
		'<li><span class="calendarIndicator orange">&#x2b24;&nbsp;</span>Meetings <input type="checkbox" class="float-right" checked onclick="$(&apos;#calendarEvents > li > label > .orange&apos;).parents(&apos;li&apos;).toggle();"></li>',
		'<hr>',
		'<li onclick="$(&apos;.calendarsSynchronizing&apos;).show();$(&apos;.calendarIcon&apos;).hide();$(&apos;.popover&apos;).hide();">Synchronize Calendars</li>',
		'<li onclick="$(&apos;#manageCalendarsDialog&apos;).show();$(&apos;.popover&apos;).hide();">Manage Calendars...</li>',
		'</ul>'].join('');

	$('.calendarsPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});
</script>